package com.dbnt.sims.fipTarget.mapper;

import com.dbnt.sims.fipTarget.model.PartInfo;
import com.dbnt.sims.fipTarget.model.PartInfoFile;
import com.dbnt.sims.fipTarget.model.PartWork;
import com.dbnt.sims.fipTarget.model.Vulnerable;
import com.dbnt.sims.util.ParamMap;

import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface FipTargetMapper {

	List<ParamMap> selectPartInfoManagerList(ParamMap param);

	List<PartInfo> selectPartInfoList(PartInfo partInfo);

	Integer selectPartInfoListCnt(PartInfo partInfo);

	ParamMap selectWorkTypeTotal(PartInfo partInfo);

	PartInfo selectPartInfo(PartInfo partInfo);

	List<PartInfoFile> selectPartInfoFile(PartInfo partInfo);

	List<PartInfo> selectPartInfoSeq(PartInfo partInfo);

	PartInfo selectPartInfoHistoryView(PartInfo partInfo);

	List<PartInfoFile> selectPartInfoFileHistoryView(PartInfo partInfo);

	String selectPartInfoFirstId(Integer piSeq);

	List<ParamMap> selectTerminalName(PartWork partWork);

	List<PartWork> selectPartWorkList(PartWork partWork);

	Integer selectPartWorkListCnt(PartWork partWork);

	PartWork selectPartWorkInfo(PartWork partWork);

	List<ParamMap> selecetVulnOrganList(Vulnerable vulnerable);

	List<ParamMap> selectVulnerableList(Vulnerable vulnerable);

	List<Vulnerable> selectVulnInfoList(Vulnerable vulnerable);

	String selectOrganName(String mgtOrgan);

	Vulnerable selectVulnInfo(Vulnerable vulnerable);

	


}
